<template>
  <div>
    <search-history :search="search" :attribute="attribute" @search="searchClick" @searchHistroy="handleHistory" />
  </div>
</template>
<script>
import searchHistory from "@/components/SearchHistory";
export default {
  props: {
    search: {
      type: Object,
      default: () => {},
    },
  },
  components: {
    searchHistory,
  },
  data() {
    return {
      attribute: {
        onlyVal: "dataEncapsulation",
        title: "操作人",
        placeholder: "请输入操作人",
      },
    };
  },
  methods: {
    searchClick(val) {
      this.$emit("searchClick", val);
    },
    handleHistory(item) {
      this.$emit("historySearch", item);
    },
  },
};
</script>